Berkeley DB version 4.2.52

## com.sleepycat.bdb.bind
Interface DataType

public interface DataType

Primitive data type constants.

Field Summary
`static int` `BINARY` `byte[]` data type.
`static int` `DATETIME` `Date` data type.
`static int` `DOUBLE` `Double` data type.
`static int` `FLOAT` `Float` data type.
`static int` `INT` `Integer` data type.
`static int` `LONG` `Long` data type.
`static int` `NONE` Undefined data type.
`static int` `STRING` `String` data type.

Field Detail

### NONE

    public static final int NONE

  Undefined data type.

  See Also:
    Constant Field Values

### STRING

    public static final int STRING

  `String` data type.

  See Also:
    Constant Field Values

### BINARY

    public static final int BINARY

  `byte[]` data type.

  See Also:
    Constant Field Values

### INT

    public static final int INT

  `Integer` data type.

  See Also:
    Constant Field Values

### LONG

    public static final int LONG

  `Long` data type.

  See Also:
    Constant Field Values

### FLOAT

    public static final int FLOAT

  `Float` data type.

  See Also:
    Constant Field Values

### DOUBLE

    public static final int DOUBLE

  `Double` data type.

  See Also:
    Constant Field Values

### DATETIME

    public static final int DATETIME

  `Date` data type.

  See Also:
    Constant Field Values

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.